Technology moves at lightening speed. ⚡ As an online store owner, it’s important that you keep up with changes in web development. If you’re using an older computer with browsers that are outdated, you may have difficulty viewing and using your Admin Area and Storefront. Ditto for your customers when it comes to their own shopping experience. 

Volusion doesn’t support older versions of some web browsers that can’t correctly handle some standardized types of HTML and or browser cookies. So it’s important that you — and your customers — update your browsers (Chrome, Internet Explorer, Firefox and Safari) to recent versions. This helps ensure that everyone has the best user experience.

Supported Browsers For Your Admin Area


Supported Browsers for Your Storefront

  • Firefox 13 or newer
  • Microsoft Internet Explorer 8 or newer (exceptions: IE is not supported on Windows XP machines, and responsive themes are not supported in IE8 on any machine)
  • Google Chrome  
  • Safari 3.0 or newer for Mac OS


Summary

Which web browser you and your customers use is a matter of personal preference, but keep in mind that your Admin and Storefront areas may not look the same on all of them. To see things the way they’re intended to be viewed, you and your customers will want to make sure that you’re using updated versions that Volusion supports. This way, you won’t miss a thing!

Did this answer your question?